## org.eclipse.datatools.sqltools.sqleditor.internal
Class ExclusivePositionUpdater

    java.lang.Object
      org.eclipse.datatools.sqltools.sqleditor.internal.ExclusivePositionUpdater

All Implemented Interfaces:
  org.eclipse.jface.text.IPositionUpdater

    public class ExclusivePositionUpdater

extends java.lang.Object
implements org.eclipse.jface.text.IPositionUpdater

Position updater that takes any changes at the borders of a position to not belong to the position.

Author:
  Li Huang

Constructor Summary
`ExclusivePositionUpdater(java.lang.String category)` Creates a new updater for the given `category`.

Method Summary
`java.lang.String` `getCategory()` Returns the position category.
`void` `update(org.eclipse.jface.text.DocumentEvent event)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExclusivePositionUpdater

    public ExclusivePositionUpdater(java.lang.String category)

  Creates a new updater for the given `category`.

  Parameters:
    `category` - the new category.

Method Detail

### update

    public void update(org.eclipse.jface.text.DocumentEvent event)

  Specified by:
    `update` in interface `org.eclipse.jface.text.IPositionUpdater`

### getCategory

    public java.lang.String getCategory()

  Returns the position category.

  Returns:
    the position category